#version 110

uniform sampler2D DiffuseSampler;
uniform sampler2D DepthSampler;
uniform sampler2D DepthSampler2;

varying vec2 texCoord;
varying vec2 oneTexel;

#define near 0.1
#define far 128.0

float LinearizeDepth(float depth) {
    float z = depth * 2.0 - 1.0;
    return (near * far) / (far + near - z * (far - near));    
}

void main() {

    float help = texture2D(DiffuseSampler, texCoord).r;
    float depth = min(texture2D(DepthSampler, texCoord).r, texture2D(DepthSampler2, texCoord).r);
    if(help == help) gl_FragColor = vec4(LinearizeDepth(depth) / far, 0.0, 0.0, 1.0);
    
}
