#version 110

uniform sampler2D DiffuseSampler;
uniform sampler2D TranslucentSampler;
uniform sampler2D ItemEntitySampler;
uniform sampler2D ParticlesSampler;

varying vec2 texCoord;

vec3 blend(vec3 dst, vec4 src) {
    return (dst * (1.0 - src.a)) + src.rgb;
}

void main() {
    vec4 base  = texture2D(DiffuseSampler, texCoord);
    vec4 over1 = texture2D(TranslucentSampler, texCoord);
    vec4 over2 = texture2D(ItemEntitySampler, texCoord);
    vec4 over3 = texture2D(ParticlesSampler, texCoord);

    base.rgb = blend(base.rgb, over1);
    base.rgb = blend(base.rgb, over2);
    base.rgb = blend(base.rgb, over3);

    gl_FragColor = base;
}
